#    most of this task is now taken from the standard fera application




set VERSION "Charissa"

loadsource  sys.common

set frametitle "MIDAS Data Acquisition Experiment Control (Charissa)"

set CAMACEnable 1
set CAMACPresent 1

set TSEnable 1

set histEnable 1
set HistMode 1

set txEnable 1

set ScalerType SEN4S2004

proc checkinstallation  {} {
   global env

   set ID [read-register EXEC.ID]
   set OS [first $ID]
   set version  [second $ID]
   set release [third $ID]

   if {$version != "S4418"} then {
       set msg " WARNING!  Possible system installation or setup error! \n\
       Require Data Acquisition program $VERS but discovered \n\
       OS $OS; Program $version; Release $release\n\
       Do you wish to continue?"
       if {[midas-confirmation $msg] == 0} then {return 1}
   }

   set env(RTOS) $OS
   return 0
}

